Skip to main content
GET
List simulated users

Authorizations

Authorization
string
header
required

Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.

Path Parameters

project_id
string<uuid>
required

Query Parameters

ids
simulated_user_name
string
limit
integer | null
default:100

Limit the number of objects to return

Required range: 0 <= x <= 1000
starting_after
string<uuid>

Pagination cursor id.

For example, if the final item in the last page you fetched had an id of foo, pass starting_after=foo to fetch the next page. Note: you may only pass one of starting_after and ending_before

ending_before
string<uuid>

Pagination cursor id.

For example, if the initial item in the last page you fetched had an id of foo, pass ending_before=foo to fetch the previous page. Note: you may only pass one of starting_after and ending_before

Response

The matching simulated users

objects
object[]
required